﻿using System.IO;

namespace ScreenExtender.Resources
{
    internal static class ResourceFetcher
    {
        public static byte[] IndexPage => GetStringResource("index.html");

        private static byte[] GetStringResource(string name)
        {
#if DEBUG
            return File.ReadAllBytes(System.AppDomain.CurrentDomain.BaseDirectory + "/../../Resources/" + name);
#else
            using var s = System.Reflection.Assembly.GetExecutingAssembly().GetManifestResourceStream(typeof(ResourceFetcher).Namespace + "." + name);
            using var ms = new MemoryStream();
            s.CopyTo(ms);
            return ms.ToArray();
#endif
        }
    }
}
