﻿using System.Drawing;
using System.IO;
using System.Windows.Forms;
using Newtonsoft.Json;
using ScreenExtender.Models;

namespace ScreenExtender.Utility
{
    internal static class ExStringFormatter
    {
        public static string ToCsvString(this Point point) => $"{point.X},{point.Y}";
    }

    internal static class SaveLoadManager
    {
        public static void Save(SaveLoadModel[] items)
        {
            var json = JsonConvert.SerializeObject(items);

            var path = Application.ExecutablePath + "SaveLoad.json";

            File.WriteAllText(path,json);
        }

        public static SaveLoadModel[] Load()
        {
            var path = Application.ExecutablePath + "SaveLoad.json";
            if (File.Exists(path) == false) return null;
            var json = File.ReadAllText(path);
            var items = JsonConvert.DeserializeObject<SaveLoadModel[]>(json);
            return items;
        }
    }
}
